﻿$('#files').on('change',
    function () {
        //replace the "Choose a file" label
        $(document.getElementById("UploadBtn")).removeClass("disabled");

        if (this.files.length > 1) {
            $(this).next('.custom-file-label').html(this.files.length + " files selected");
        }
        else {
            //get the file name
            var fileName = $(this).val().replace(/C:\\fakepath\\/, '');
            $(this).next('.custom-file-label').html(fileName);
        }
    })

function uploadFiles(inputId) {
    var t = $("input[name='__RequestVerificationToken']").val();
    var input = document.getElementById(inputId);
    var files = input.files;
    var formData = new FormData();

    $(document.getElementById("progressStatus")).removeClass("d-none");
    $(document.getElementById("UploadBtn")).addClass("disabled");
    $(document.getElementById("actionSuccessful")).addClass("d-none");
    $(document.getElementById("actionFailed")).addClass("d-none");

    for (var i = 0; i != files.length; i++) {
        formData.append("files", files[i]);
    }

    $.ajax(
        {
            url: "",
            headers:
            {
                "RequestVerificationToken": t
            },
            data: formData,
            processData: false,
            contentType: false,
            type: "POST",
            success: function (data) {
                $(document.getElementById("progressStatus")).addClass("d-none");
                $(document.getElementById("UploadBtn")).removeClass("disabled");
                console.log(data);

                if (data.actionSuccessful == true) {
                    $(document.getElementById("actionSuccessful")).html(data.resultMessage);
                    $(document.getElementById("actionSuccessful")).removeClass("d-none");

                }
                else {
                    $(document.getElementById("actionFailed")).html(data.resultMessage);
                    $(document.getElementById("actionFailed")).removeClass("d-none");
                }
            }
        }
    );

    $(document.getElementById("UploadBtn")).addClass("disabled");
}